.header-mobile {
    z-index: 800;
    height: rem(56);
    position: relative;
    background-color: #f8e5e5;
    display: flex;
    align-items: center;

    &__content {
        flex-grow: 1;
        padding-left: rem(10);
    }

    &__logo {
        display: block;
        width: rem(186);
    }

    &__phone {
        font-size: 0;
        line-height: 0;
        display: block;
        width: rem(56);
        height: rem(56);
        cursor: pointer;
        background: #6cbd36 url("../img/icon__phone_lg.webp") 50% 50% no-repeat;
    }

    &__hamburger {
        left: 0;
        top: 100%;
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        display: block;
        width: rem(56);
        height: rem(56);
        cursor: pointer;
        background: #4d4d4d;
        position: absolute;
        border-radius: 0 0 6px 0;

        span,
        &:after,
        &:before {
            right: 0;
            width: 32px;
            height: 3px;
            content: '';
            left: calc(50% - 16px);
            display: inline-block;
            position: absolute;
            transition-property: transform;
            transition-duration: .15s;
            transition-timing-function: ease;
            border-radius: 3px;
            background-color: $white;
        }

        span {
            top: calc(50% - 2px);
        }

        &:before {
            top: calc(50% - 13px);
        }

        &:after {
            top: calc(50% + 9px);
        }
    }

    @include media-breakpoint-up(sm) {

    }

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.nav-open {
    height: 100%;
    overflow: hidden;

    .sidebar {
        transition: .3s;
        transform: translateX(0);
    }

    .sidebar-overlay {
        transition: .3s;
        opacity: 1;
        visibility: visible;
    }

    .header-mobile__hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(-11px) translateX(0) rotate(45deg);
        }

        &:before {
            transform: translateY(11px) translateX(0) rotate(-45deg);
        }
    }

    @include media-breakpoint-up(xl) {
        height: auto;
        overflow: visible;
    }
}


.sticky-fixed {

    .header-mobile__hamburger {
        top: 0;
        z-index: 800;
        position: fixed;
    }

    .sidebar {
        top: 0;
    }
}
